\def\PackageName{TPPratiqueS}
\def\PackageVersion{0.2}
\def\firstversion{09/1/2009}
\def\filedate{09/1/2009}
% Version 0.1 : encodage cp1252 au lieu de latin1 et appel du paquetage tikz (graphisme)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\NeedsTeXFormat{LaTeX2e}

\def\fileversion{\PackageVersion}
\ProvidesClass{\PackageName}[\filedate \space Version:\space \PackageVersion \space ]
\typeout{style Latex2e pour les TP de l'\'epreuve pratique de maths}
\ProvidesFile{\PackageName.cls}[\filedate \space Version:\space\PackageVersion]
%%%%%%%%%%%%%%%%%%%%%%%%%%
\LoadClass[a4paper,12pt,twoside]{article}
% On utilise frenchb (de babel)
\RequirePackage[frenchb]{babel}
% On charge les packages de maths
\RequirePackage{amsfonts,amsmath,amssymb,mathrsfs,amssymb,textcomp}
\RequirePackage[cp1252]{inputenc}
\RequirePackage[T1]{fontenc}
\RequirePackage{graphicx}
\RequirePackage{pxfonts}
%\RequirePackage{lmodern}
\RequirePackage{pifont}
\RequirePackage{color}
\RequirePackage{longtable}
\RequirePackage{verbatim}
\RequirePackage{hyperref}
\RequirePackage{tikz}
% Format de la  mise en page (2cm sur les bords)
\setlength{\hoffset}{-2.5cm}
\setlength{\voffset}{-3cm}
\setlength{\oddsidemargin}{1.5cm}
\setlength{\evensidemargin}{1.5cm}
\setlength{\topmargin}{1.5cm}
\setlength{\headheight}{12pt}
\setlength{\headsep}{5mm}
\setlength{\textwidth}{18cm}
\setlength{\footskip}{1cm}
\setlength{\textheight}{25cm}
\setlength{\fboxsep}{3mm}
%
\parindent=0pt
\parskip=3pt
\everymath{\displaystyle}
%
\def\<<{\og}
\def\>>{\fg}
% MISE EN PAGE
\def\fini{\label{LastPage}\end{document}}
%
\def\trait{\smallskip\centerline{\hbox{\vrule height .4pt depth 0pt width 6cm}}\smallskip}
\def\Trait{\medskip\centerline{\hbox{\vrule height .4pt depth 0pt width 10cm}}\vfill}
% Le titre de la situation
\newsavebox\letitre
\long\def\TITRE#1#2{
\vskip-1mm
\sbox{\letitre}{\fbox{\parbox{#2}{\centering\mathversion{bold}\textbf{\Large #1 \rule[-1mm]{0pt}{0pt}}}}}
\begin{center}
% \setlength{\lineskip}{5mm}
\usebox{\letitre}
\end{center}
\vskip-4mm
\setcounter{question}{0}
}
% Pour appeler l'examinateur
\long\def\encadre#1{\relax}
% composition deux colonnes
\newbox{\tempbox}
\newlength{\gauche}
\newlength{\droite}
\newcommand{\coteacote}[2]{\smallskip\noindent
\setbox\tempbox=\hbox{\noindent #2}%
\setlength{\droite}{\wd\tempbox}
\setlength{\gauche}{\textwidth}\addtolength{\gauche}{-\droite}
\addtolength{\gauche}{-3mm}
\kern-2.5mm\begin{minipage}{\gauche}#1\end{minipage}%
\hfill\quad\begin{minipage}{\droite}\box\tempbox\end{minipage}
\smallskip}
%
\newcommand{\cotacot}[2]{\smallskip\noindent
\setbox\tempbox=\hbox{\noindent #2}%
\setlength{\droite}{\wd\tempbox}
\setlength{\gauche}{\textwidth}\addtolength{\gauche}{-\droite}
\addtolength{\gauche}{-5mm}
%\kern-1mm
\begin{minipage}{\gauche}#1\end{minipage}%
\hfill\quad\begin{minipage}{\droite}\box\tempbox\end{minipage}
\smallskip}
%
\newenvironment{decale}{\par\begingroup\addtolength{\leftskip}{1.18cm}\addtolength{\textwidth}{-1.18cm}}{\par\endgroup}
% compteurs
\newcounter{question}
\newenvironment{numeros}{%
      \advance\@enumdepth \@ne
      \edef\@enumctr{enum\romannumeral\the\@enumdepth}\list
      {\csname label\@enumctr\endcsname}{\usecounter
        {\@enumctr}\def\makelabel##1{\hss\llap{\upshape##1}}}
      \setcounter{enumi}{\value{question}}}%
      {\setcounter{question}{\value{enumi}}\endlist}
% en-t\^ete, style de page etc
\newif\ifspec\specfalse
\let\spe\spectrue
\def\gobe#1#2#3.{#3}
\def\bouffe#1#2#3#4.{#1}
\long\def\rien#1\endcompetences{\relax}
\edef\numero{\expandafter\gobe\jobname.}
%
\newcommand{\ps@none}{%
\renewcommand{\@oddhead}{}
\renewcommand{\@evenhead}{}
\renewcommand{\@oddfoot}{}
\renewcommand{\@evenfoot}{}
}
%
\newcommand{\ps@monstyle}{%
\renewcommand{\@oddhead}{{\small\rlap{TP \numero}\hfill\quad Travaux de math\'ematiques pratiques%
\ifspec (sp\'ecialit\'e)\fi\hfill}}
\renewcommand{\@evenhead}{{\small\rlap{TP \numero}\hfill\quad Travaux de math\'ematiques pratiques %
\ifspec (sp\'ecialit\'e)\fi\hfill}}
\renewcommand{\@oddfoot}{\setbox5=\hbox{\tiny Version du \today}\wd5=0pt\box5\hfil\thepage$\,/\,$\pageref{LastPage}\hfil}
\renewcommand{\@evenfoot}{\hfil\thepage$\,/\,$\pageref{LastPage}\hfil}
}
%
% pour l'assemblage final
\def\sujet#1{\def\numero{#1}\specfalse\input TP#1\clearpage}
\def\sujetfinal#1{\def\numero{#1}\specfalse\input TP#1\label{LastPage}\end{document}}
% pour annuler du contenu
\let\debutpoubelle\comment
\let\finpoubelle\endcomment
% composition de l'\'enonc\'e principal
\def\debutenonce{\vspace{-2mm}\section*{\'Enonc\'e}\vspace{-2mm}}
\newenvironment{enonce}{\debutenonce}{\relax}
% MATHS
% majuscules en romain pour la gomtrie
\def\majrm{
\mathcode`\A="7041\mathcode`\B="7042\mathcode`\C="7043\mathcode`\D="7044
\mathcode`\E="7045\mathcode`\F="7046\mathcode`\G="7047\mathcode`\H="7048
\mathcode`\I="7049\mathcode`\J="704A\mathcode`\K="704B\mathcode`\L="704C
\mathcode`\M="704D\mathcode`\N="704E\mathcode`\O="704F\mathcode`\P="7050
\mathcode`\Q="7051\mathcode`\R="7052\mathcode`\S="7053\mathcode`\T="7054
\mathcode`\U="7055\mathcode`\V="7056\mathcode`W="7057\mathcode`\X="7058
\mathcode`\Y="7059\mathcode`\Z="705A
}
% LES ENSEMBLES DE NOMBRES N,Z,Q,R,C,...
\let\bb=\mathbf
\def\Z{{\bb Z}}
\def\R{{\bb R}}
\def\C{{\bb C}}
\def\N{{\bb N}}
\def\Q{{\bb Q}}
%
\let\leq=\leqslant
\let\geq=\geqslant
\let\eps=\varepsilon  % Le "bon" epsilon
\let\vphi=\varphi     % Le phi usuel
% Macros Stephane Zahnd
\newcommand{\dzz}{\displaystyle}
\newcommand{\lrw}{\longrightarrow}
\let\fld\lrw
\newcommand{\resp}{\textit{resp.}}
\newcommand{\Def}{\mathcal{D}}
\newcommand{\Curv}{\mathscr{C}}
\newcommand{\Surv}{\mathscr{S}}
\newcommand{\ssk}{\smallskip}
\newcommand{\msk}{\medskip}
\newcommand{\bsk}{\bigskip}
\newcommand{\Oij}{\bigl(O;\vec{\imath},\vec{\jmath}\,\bigr)}
\newcommand{\Ouv}{\bigl(O;\vec{u},\vec{v}\,\bigr)}
\def\dt{\,\mathrm{d}t}
\def\dx{\,\mathrm{d}x}
\def\e{\mathrm{e}}
\def\ii{\mathrm{i}}
%pour les tableaux
\def\tvi{\vrule height 12pt depth 5pt width 0pt}
\def\TVI{\vrule height 16pt depth 9pt width 0pt}
\def\tv{\tvi\vrule}
\def\thor{\noalign{\hrule}}
\def\centre#1{\kern .7em\hfill#1\hfill\kern .7em}
\def\vp{\vphantom{B'}}
\let\vectr=\overrightarrow
\def\overrightarrow#1{\rule{0pt}{16pt}\vectr{\vp #1}}
\def\vecteur#1#2{\overrightarrow{#1#2}}
\let\vect=\overrightarrow
\def\flch#1{\overrightarrow{\kern -2pt #1\kern 2pt}}
% Pour le texte introductif
\hypersetup{colorlinks=true, linkcolor=blue, filecolor=blue, pagecolor=blue, urlcolor=blue}
% Text styles
\newcommand\textstyleTeletype[1]{\texttt{#1}}
\newcommand\textstyleInternetlink[1]{\textcolor{blue}{#1}}
% List styles
\newcommand\liststylebullets{%
\renewcommand\labelitemi{\textbullet}
\renewcommand\labelitemii{o}
\renewcommand\labelitemiii{ -- }
\renewcommand\labelitemiv{\textbullet}
}
% Intercalaire
\def\Intercalaire#1#2{
\pagestyle{none}
\vspace{2cm plus 1fil}
\begin{center}
\Huge\sf TP de math\'ematiques\\[5mm]#1
\end{center}
\vspace{2cm plus 1fil}
\hfil{\setlength{\fboxsep}{3mm}\fbox{\Huge\sf #2}}
\vspace{2cm plus 2fil}
\clearpage\null
}
% Initialisations
\pagestyle{monstyle}
%

